# Class CIM_SuppliesPower
extends CIM_Dependency

The SuppliesPower relationship indicates that a ManagedSystemElementis in the power domain of the referenced PowerSource. It indicates which ManagedSystemElements are dependent on the PowerSource, and therefore, which ManagedSystemElements are affected if the PowerSource is lost.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SuppliesPower

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | The SuppliesPower relationship indicates that a ManagedSystemElementis in the power domain of the referenced PowerSource. It indicates which ManagedSystemElements are dependent on the PowerSource, and therefore, which ManagedSystemElements are affected if the PowerSource is lost.
UMLPackagePath | string | CIM::Device::CoolingAndPower
Version | string | 2.19.1

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SuppliesPower | CIM_PowerSupply
Dependent | CIM_SuppliesPower | CIM_ManagedSystemElement

## Class Methods